summarylogtreecommitdiffstats
AgeCommit message (Collapse)Author
4 daysFix svt-vp9 patchDaniel Bermond
2021-03-26New upstream option: --enable-librist. Re-enable glslang. Add lto.Daniel Bermond
Upstream now supports librist[1]. glslang support was temporarily disabled previously[2] and now it can be re-enabled since glslang on the official repositories was updated. Repository ffmpeg added LTO, so we add it here too. RFC about LTO on Arch Linux is being discussed and is on the way to be approved. Also on this commit: - update svt-vp9 patch - refresh cuda11 patch [1] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=4098f809d605fc540870883a9f91880e13ce1d6b [2] https://aur.archlinux.org/cgit/aur.git/commit/?h=ffmpeg-full-git&id=bd252d99089862a9c74d43a88837d243c52de38e [3] https://github.com/archlinux/svntogit-packages/commit/ceff68a52e22bfedf1f8e75228a608b7ddab3d15
2021-02-07depends: switch lensfun to lensfun-git to fix buildDaniel Bermond
It currently fails to build with the stable version of lensfun from the official repositories (stable release is from 2018). Requires lensfun-git. Also on this commit: update svt-hevc and svt-vp9 patches.
2021-01-09depends: really switch pulseaudio to libpuseDaniel Bermond
Missing on previous commit[1]. References ---------- [1] https://aur.archlinux.org/cgit/aur.git/commit/?h=ffmpeg-full-git&id=8095a6af514cae40f5f539a61aace56d7b20e2c8
2021-01-09depends: switch pulseaudio to libpulse. Refresh cuda11 patch.Daniel Bermond
2020-11-28Bring back rockchip-mpp support (upstream repo is now public again)Daniel Bermond
rockchip-mpp was disabled[1] a while ago because the upstream repository was temporarily set to private[2] (hidden from the public). Now the rockchip-mpp repositry is public[3] again and we can re-enable this feature. References ---------- [1] https://aur.archlinux.org/cgit/aur.git/commit/?h=ffmpeg-full-git&id=40ba9358a0bfbe5d9944072621eb9264e30dcce8 [2] https://github.com/HermanChen/mpp/issues/15#issuecomment-690804709 [3] https://github.com/rockchip-linux/mpp/
2020-10-08New upstream option: --enable-libuavs3dDaniel Bermond
At the time of writing, it does not work with the uavs3d stable version and requires the git master version (uavs3d-git). References ---------- [1] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=c952db9d68d31d1eca5ac770cc53bf35b885b087
2020-10-07Update svt-vp9 patchDaniel Bermond
Upstream svt-vp9 has now fixed their patch to support ffmpeg git master[1]. Also on this commit: refresh cuda11 patch. References ---------- [1] https://github.com/OpenVisualCloud/SVT-VP9/commit/7951c3cf6773c5e0ede00e4ce3e3ad2f7e090cfb
2020-10-04Bring back smbclient support (fixed by upstream)Daniel Bermond
smbclient support was previously removed[1] due to a build failure with samba 4.9. It looks like that the recently released samba 4.13 fixed[2][3] the issue and now ffmpeg is building fine with it. References ---------- [1] https://aur.archlinux.org/cgit/aur.git/commit/?h=ffmpeg-full-git&id=861ed49ab870c6fdfb4cad8a2443b49af78f32a5 [2] https://github.com/samba-team/samba/pull/212/ [3] https://github.com/samba-team/samba/commit/1114b02a72ce0c86a5301816560d270ec47f8be3
2020-10-02Remove libwavpack (removed by upstream)Daniel Bermond
libwavpack was removed by upstream[1]. It causes the svt-vp9 patch to fail, and thus a local patch is now needed while upstream svt-vp9 does not provide an updated one. Also on this commit: refresh cuda patch. References ---------- [1] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=45070eec4c089b06947f07e25cdb1bc8b2102553
2020-09-17Disable rockchip mppDaniel Bermond
Upstream repository for rockchip mpp is gone. It was at: https://github.com/rockchip-linux/mpp/ I could not find any upstream word about it. The Rockchip Wiki still points to this repository, without saying if it was really dropped or moved to another place. Due to this, new users now cannot build rockchip-mpp package. Disabling it so new users can build ffmpeg-full-git.
2020-09-08Temporarily disable glslang. Fix svt-hevc doc patch.Daniel Bermond
Upstream ffmpeg now requires[1] a glslang version that is not yet on the official repositories. glslang-git from the AUR can be used, but the package needs a lot of improvements (see comments on the package page). Temporarily disable it until we have a supported glslang version on the official repositories or until glslang-git is improved. The patch for svt-hevc doc currently fails to apply becasue there was a split on upstream file doc/general.texi[2]. Now it's splitted into doc/general_contents.texi. A local modification of the patch does the job. Upstream svt-hevc updated[3] their patch to work with the current ffmpeg git master, so we do not need the custom patch anymore. Now using the svt-hevc patch directly from upstream. Also on this commit: refresh the vmaf and cuda11 patches. References ---------- [1] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=98ea1a662ee172961feaa374fe8d26078838d250 [2] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=6accb7718aa4c9f5ca8f3280a1ed4e09587a627f [3] https://github.com/OpenVisualCloud/SVT-HEVC/commit/ead6fdf7c9ff84511b42fc1658c1654b84d83e4b
2020-08-14Bring back tensorflow support (fixed by upstream)Daniel Bermond
The tensorflow build issue was fixed[1] upstream by ffmpeg. References ---------- [1] http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=3c05c8a15f2fa5543213f6c8cbe439ad4376137d [2] https://aur.archlinux.org/cgit/aur.git/commit/?h=ffmpeg-full-git&id=b38e834c47562855016e855af82456e3f752eccd
2020-08-12Temporarily disable tensorflowDaniel Bermond
A recent commit[1] at upstream ffmpeg broke tensorflow support. Temporarily disabling it until it's fixed upstream. References ---------- [1] http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=0a51abe8ab71c03eff66200265142fc910bcbfe2
2020-08-04Update svt-hevc patchesDaniel Bermond
2020-08-01Update svt-hevc patch to match latest upstream changesDaniel Bermond
ffmpeg has dropped the underscore in svt-av1 library names[1] (libsvt_av1 -> libsvtav1). References ---------- [1] http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=30a4bdbc1f4853c1deb2cd551d8c661f7b067503
2020-07-29Remove the now unnedeed svt-av1 versionDaniel Bermond
2020-07-29Remove svt-av1 patch (not needed anymore, upstreamed by ffmpeg)Daniel Bermond
svt-av1 is now directly supported by ffmpeg[1]. The upstream patch from svt-hevc now fails to apply after this recent ffmpeg change. Created a patch for it. References ---------- [1] http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=0e20dee5c21a40f23ecfe7af2c360493a169c0f0
2020-07-28Bring back srt support (fixed by upstream ffmpeg)Daniel Bermond
Upstream ffmpeg fixed the build issue with srt 1.4.1[1]. References ---------- [1] http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=7c59e1b0f285cd7c7b35fcd71f49c5fd52cf9315 [2] https://trac.ffmpeg.org/ticket/8760 [3] https://aur.archlinux.org/cgit/aur.git/commit/?h=ffmpeg-full-git&id=8f9bff8de0df502a0a13f2d243c6ae018e67603c
2020-07-23Add patch for cuda 11.0. Bring back svt-vp9 support.Daniel Bermond
cuda 11.0 minimum supported architecture is 5.2 (compute_52/sm_52). svt-vp9 support is better now with the current upstream stable version.
2020-07-12Fix svt-av1 patchDaniel Bermond
2020-07-06Fix source of svt-av1 patch fileDaniel Bermond
2020-07-05Update svt-av1. Remove legacy nvidia-340xx. Add openvino disabled.Daniel Bermond
- Now that svt-av1 0.84 is out, it seems that this stable version is suitable to be used here. - Removed support for legacay nvidia-340xx drivers since I do not use it anymore. - Added intel-openvino option in disabled mode. This is a new upstream option[1][2]. It looks like that ffmpeg segfaults when using it with an unsupported cpu. Users wanting to experiment with it will need to add -I and -L options with the corresponding include and library paths. References ---------- [1] http://git.videolan.org/?p=ffmpeg.git;a=commit;h=ff37ebaf30e675227655d9055069471bb45e5ceb [2] http://git.videolan.org/?p=ffmpeg.git;a=commit;h=9bcf2aa47756c253238903f3e5ef6c96d927cfe6
2020-06-27Bring back svt-av1. Temporarily disable srt (broken by upstream).Daniel Bermond
Upstream svt-av1 has provided support for the recent API changes of ffmpeg git master[1], so it can be added again. Upstream srt recently introduced a commit[2] that removes deprecated API and breaks ffmpeg support. Bug reports were opened upstream at srt[3] and ffmpeg[4], and it's up to ffmpeg to fix it. Unfortunatelly it was marked as a 'wish' at the ffmpeg bug tracker, so it can take very long to be fixed. References ---------- [1] https://github.com/OpenVisualCloud/SVT-AV1/commit/b255a71cf47038ec73873ae507a56bc9fdef7c8f [2] https://github.com/Haivision/srt/commit/0e2201aff6b379979cec43fee5e8f162717f6346 [3] https://github.com/Haivision/srt/issues/1382 [4] https://trac.ffmpeg.org/ticket/8760
2020-06-19Remove unused patchDaniel Bermond
2020-06-19Temporarily remove svt-av1 (broken by upstream ffmpeg)Daniel Bermond
A recent commit[1] on upstream ffmpeg broke svt-av1. The fix seems to be not so simple, so temporarily removing it until upstream svt-av1 provides a fix. References ---------- [1] http://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=827d6fe73d2f5472c1c2128eb14fab6a4db29032
2020-06-10Fix checksumDaniel Bermond
2020-06-04Fix svt-av1 buildDaniel Bermond
Some function declarations were moved to packet_internal.h[1]. This fixes the following build error: libavcodec/libsvt_av1.c: In function ‘eb_receive_packet’: libavcodec/libsvt_av1.c:396:5: error: implicit declaration of function ‘ff_side_data_set_encoder_stats’ [-Werror=implicit-function-declaration] 396 | ff_side_data_set_encoder_stats(pkt, headerPtr->qp * FF_QP2LAMBDA, NULL, 0, pict_type); | ^~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ References ---------- https://github.com/FFmpeg/FFmpeg/commit/6e1903938befc0bce2f64e01770af2f65d625cfc
2020-05-31Fix vmaf model path. Switch amf-headers to stable. Cosmetics.Daniel Bermond
2020-05-14Remove svt-vp9 supportDaniel Bermond
Patch does not apply anymore on git master. And it's buggy at the current moment, not working properly at all.
2020-04-22Fix build with svt-av1 0.8.2Daniel Bermond
2020-04-11Fix buildDaniel Bermond
2020-04-06depends: add avisynthplus (now needed by upstream)Daniel Bermond
The avisynth headers were removed from the ffmpeg source tree[1]. It now requires avisynthplus 3.5 or later for for building with avisynth support[2][3]. References ---------- [1] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=0c75acb4ce5db623f4c1c2729468e66c3e28ad67 [2] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=6d8cddd1c67758636843f6a08295b3896c2e9ef8 [3] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=6e959ad680288e34eccb4ee2dd205e4ffa495f95 [4] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=56f59246293de417d27ea7e27cb9a7727ee579fb [5] https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=7b0f7a7f3b6bf09c076c23d0701bf42a2c997ca2
2020-03-13New upstream options: --enable-{vulkan,libglslang,librabbitmq}Daniel Bermond
References ---------- https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/a88449ffb2f249e31ecf98f84e7f8c338308e7e4 https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/6fca61bbc917678b3e517be4f6594ce52a16a93c https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/1676d0fb25c6851d0750ed6926b8205ed20973eb
2020-01-28Match intel-media-sdk changesDaniel Bermond
intel-media-sdk is now installed on '/usr' prefix. No need to specify the pkg-config search path anymore.
2020-01-03New option --enable-cuda-llvm. Update svt versions. Update deps.Daniel Bermond
References ---------- https://git.videolan.org/?p=ffmpeg.git;a=commit;h=01994c93db43e50c01349203a76c0b7111d1d2f3
2019-11-11Fix svt-hevc docs patch applying. New upstream option: librav1e.Daniel Bermond
References ---------- https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=d8bf24459b694338de4ceb2a2e6d4d2949d6658d
2019-09-18Fix intel-media-sdk pkgconfig pathDaniel Bermond
2019-09-13Update svt-hevc patches to version 1.4.1Daniel Bermond
2019-08-30Add --enable-amf (now available for Linux)Daniel Bermond
Upstream ffmpeg recently added support for AMD AMF hardware accelerated video encoder for Linux[1] via Vulkan (it was available for Windows only). At the time of this writing, the git master version of AMF headers are needed for building. References ---------- [1] https://git.ffmpeg.org/gitweb/ffmpeg.git/commitdiff/f8ad2ddd7a51df5d6e768ba2a6f65ee64b94e29b
2019-08-27Remove --enable-omx-rpiDaniel Bermond
Although this option is specific to the Raspberry Pi, it was compiling fine so it was ok to leave it there. But a recent upstream ffmpeg commit[1] broke build with this option, making it to fail with the following error: ‘OMX_IndexConfigBrcmVideoRequestIFrame’ undeclared. Now it needs headers[1] that are specific to the Raspeberry Pi firmware, so it will be removed. References ---------- [1] https://git.ffmpeg.org/gitweb/ffmpeg.git/commitdiff/76c82843ccad11666603e3f1f6d9d9a36c780a32 [2] https://github.com/raspberrypi/firmware/blob/1.20190819/hardfp/opt/vc/include/IL/OMX_Index.h#L381
2019-08-11Switch back dav1d-git to dav1d. Update intel svt hevc patches.Daniel Bermond
2019-07-15Drop i686 supportDaniel Bermond
2019-07-06Use versioned patches for intel svt componentsDaniel Bermond
Patches for intel svt components will be different at each component release, so they better be versioned. This commit updates intel-svt-av1 patch from version 0.5.0 to 0.6.0.
2019-06-01Add intel-svt support only on x86_64Daniel Bermond
2019-05-31Add intel-svt support for hevc, av1 and vp9Daniel Bermond
2019-05-20New upstream option: --enable-pocketsphinxDaniel Bermond
References ---------- https://git.videolan.org/?p=ffmpeg.git;a=commitdiff;h=f49cec2ba8830dd8df0ac73a39c118f6e20b06bd
2019-04-24Fix tensorflow include dirDaniel Bermond
upstream ffmpeg excects[1] : /usr/include/tensorflow/ tensorflow package ships[2]: /usr/include/tensorflow/tensorflow/ References ---------- [1] https://git.videolan.org/?p=ffmpeg.git;a=blob;f=configure;h=3b11ffefc3397ed2186157664960f1074ebf6966;hb=HEAD#l6202 [2] https://git.archlinux.org/svntogit/community.git/commit/trunk?h=packages/tensorflow&id=d6b6fa4eb56d8e6055268504d6b0110c6fddde7e
2019-04-03depends: switch libmysofa-git to libmysofaDaniel Bermond
Now that libmysofa 0.7 was released, ffmpeg-full-git can be built using the stable release again.
2019-03-23Remove libndi_newtek, add libaribb24, switch cuda-sdk to cuda-nvccDaniel Bermond
- new upstream option: --enable-libaribb24[1] - remove --enable-libndi_newtek (removed by upstream[2]) - switch --enable-cuda-sdk to --enable-cuda-nvcc (switched by upstream[3][4]) - depends: switch dav1d to dav1d-git, now needed by the latest upstream git master code[5] References ---------- [1] https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/100bfac6d6ecb3447dc3ac4b9d2c41085da59a8b [2] https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/4b32f8b3ebfa011fcc5991bcaa97c3f5b61b49ad [3] https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/5f47bfd50ac46fb18b23a212a53bea0feacc1bb0 [4] https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/114ead9735f226e5824a15b94b32344436c96a71 [5] https://git.ffmpeg.org/gitweb/ffmpeg.git/commit/dcf64b599d3132bec3a9f52139de716d70f0fb4e